#ifndef CLUSTERFLOWMAIN_H
#define CLUSTERFLOWMAIN_H

#include <QObject>
#include <QtGui/QDialog>
#include <QtGui/QFileDialog>
#include "ui_clusterflowmain.h"
#include "g12buffer.h"
#include "g12bufferdialog.h"
#include "signaturesdialog.h"
#include "viflowdialog.h"

class ClusterFlowMain : public QDialog
{
    Q_OBJECT

public slots:
    void reloadBuffer1();
    void reloadBuffer2();

    void activateLoadDialog(int num);
    void activateLoadDialog1();
    void activateLoadDialog2();

    void onSignatureLock();
    void onImageLock();

signals:
    void changeBuffer1(G12Buffer *buf);
    void changeBuffer2(G12Buffer *buf);


public:
    ClusterFlowMain(QWidget *parent = 0);
    ~ClusterFlowMain();

    void setInputs(char *first, char *second);

    G12Buffer* buffer1;
    G12Buffer* buffer2;

private:
    Ui::ClusterFlowMainClass ui;

    g12BufferDialog dialog1;
    g12BufferDialog dialog2;

    SignaturesDialog sigDialog1;
    SignaturesDialog sigDialog2;

    ViFlowDialog flowDialog;

    bool sigLock;
    bool imgLock;

    QIcon *lockIcon;
    QIcon *unlockIcon;

};

#endif // CLUSTERFLOWMAIN_H
